#' Gene expression in glioma tissues
#' @name varFile
#' @docType data
#' @usage data(varFile)
#' @format Object of class \code{data.frame} containing 134 variables (colunms) and 658 observations.
#' @keywords datasets
#' @references KINKER, G. S. et al. Deletion and low expression of NFKBIA are associated with poor prognosis in lower-grade glioma patients. Scientific Reports, v. 6, n. April, p. 24160, 2016.
#' @source \href{https://cancergenome.nih.gov/}{TCGA - The Cancer Genome Atlas}
#' @examples
#' data(varFile)
#' # Run BNS analysis
"varFile"

#' Labels of glioma tissues in gene expression
#' @name labels
#' @docType data
#' @usage data(labels)
#' @format Vector which associates each row of data.frame (varFile) with a state (that will be an network).
#' @keywords datasets
#' @references KINKER, G. S. et al. Deletion and low expression of NFKBIA are associated with poor prognosis in lower-grade glioma patients. Scientific Reports, v. 6, n. April, p. 24160, 2016.
#' @source \href{https://cancergenome.nih.gov/}{TCGA - The Cancer Genome Atlas}
#' @examples
#' data(labels)
#' # Run BNS analysis
"labels"
